package org.apache.bcel.classfile;

import java.io.DataInput;
import java.io.DataOutputStream;
import java.io.IOException;

public final class ConstantFloat extends Constant implements ConstantObject {
   private float bytes;

   public ConstantFloat(ConstantFloat c) {
      this(c.getBytes());
   }

   ConstantFloat(DataInput file) throws IOException {
      this(file.readFloat());
   }

   public ConstantFloat(float bytes) {
      super((byte)4);
      this.bytes = bytes;
   }

   public void accept(Visitor v) {
      v.visitConstantFloat(this);
   }

   public void dump(DataOutputStream file) throws IOException {
      file.writeByte(super.getTag());
      file.writeFloat(this.bytes);
   }

   public float getBytes() {
      return this.bytes;
   }

   public Object getConstantValue(ConstantPool cp) {
      return this.bytes;
   }

   public void setBytes(float bytes) {
      this.bytes = bytes;
   }

   public String toString() {
      return super.toString() + "(bytes = " + this.bytes + ")";
   }
}
